#ifndef _FEATURES_H_
#define _FEATURES_H_

#include "Global.h"

void extractImageFeatures_Type1(unsigned char * image, int R0, int C0, int R1, int C1, int widthStep, 
						  double * feature, int featureSize);
double* Feature_1(double *FH1, unsigned char * frame, int widthStep, int CX0, int CY0, int CX1, int CY1);
double* Feature_2(double *FH2, unsigned char * frame, int widthStep, int CX0, int CY0, int CX1, int CY1);
double* Feature_3(double *FH3, unsigned char * frame, int widthStep, int CX0, int CY0, int CX1, int CY1);
double* Feature_4(double *FH4, unsigned char * frame, int widthStep, int CX0, int CY0, int CX1, int CY1);
double* Feature_raw(double *FH_raw, unsigned char * frame, int widthStep, int CX0, int CY0, int CX1, int CY1);
void Combine_Features( double* Feature,  unsigned char * frame, int widthStep, int CX0, int CY0, int CX1, int CY1);

#endif
